Cannot use string offset as an array

Requests, feedback, and general discussion about WoWRoster
DO NOT post topics about WoWRoster AddOns here!

Cannot use string offset as an array

Postby wcsugarchick » Wed Jul 23, 2008 5:34 am

I did a fresh install of WoWRoster v2.0.0 after using a previous version.

Everything installed great until I tried to actually upload the CharacterProfiler.lua

I got the following error:

Code: Select all
Fatal error: Cannot use string offset as an array in /home/wowdeliv/wwwroot/wowdeliverance.com/roster/lib/update.lib.php on line 513


I had already deleted my previous version of GuildProfiler & CharacterProfiler and installed the new ones:
GuildProfiler v2.4.0
CharacterProfiler v2.4.0

I deleted the old characterprofiler.lua and guildprofiler.lua and pvp one just incase.

I tried reuploading files, I deleted, resaved ingame info & exited a number of times to no avail.

I have been searching the forums for about 2 hours now trying to get a resolution and the closest thing I found was a beta discussion which suggested modifying the update.lib.php:

Code: Select all
                     // Get the region
                     if( isset($guild['timestamp']['init']['datakey']) )
                     {
                        list($region) = explode(':',$guild['timestamp']['init']['datakey']);
                        $region = strtoupper($region);
                     }
                     else
                     {
                        $region = '';
                     }


to just:

Code: Select all
                  
$region = 'US';


Which actually kinda "worked" in the aspect that I wasn't just getting a blank page with an error but at least I was getting it within WoWRoster itself.

After changing that now it says:

Parsing files

Parsed CharacterProfiler in 0.43 seconds

Processing Files
NOT Updating GuildProfiler for [Guild] - S
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [Date] - 1
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [Hour] - 2
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [Locale] - e
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0Guild Minute @ US-Mug'thol not accepted
NOT Updating GuildProfiler for [Motd] - T
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [Created] - 1
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [DateUTC] - 1
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [DateExtracted] - 1
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [Members] -
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [Ranks] -
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0Guild NumMembers @ US-Mug'thol not accepted
NOT Updating GuildProfiler for [NumAccounts] - 2
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [Info] - S
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [Faction] - H
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [DBversion] - 1
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [Version] - 1
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [GPprovider] - r
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [GPversion] - 1
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [Guild] - B
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [Date] - 1
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [Hour] - 2
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [Locale] - e
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0Guild Minute @ US-Maelstrom not accepted
NOT Updating GuildProfiler for [Motd] - G
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [DateUTC] - 1
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [DateExtracted] - 1
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [Members] -
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [Ranks] -
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0Guild NumMembers @ US-Maelstrom not accepted
NOT Updating GuildProfiler for [Info] -
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [Faction] - A
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [DBversion] - 1
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [Version] - 1
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [GPprovider] - r
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0NOT Updating GuildProfiler for [GPversion] - 1
The version of GuildProfiler used to capture data for this guild is older than the minimum version allowed for upload.
Please ensure you are running at least v2.4.0


I redownloaded the latest GP & CP just incase...again...and reopened WoW & resaved the info but I am still getting the same errors.

I have reverted the update.lib.php back to the original version and am at a total loss as to what to do next. I just had php upgraded to 5.2.5 and mysql to 5.0 if that makes a difference.

Thanks in advance
wcsugarchick
WR.net Apprentice
WR.net Apprentice
 
Posts: 3
Joined: Tue Jul 22, 2008 4:04 am

Cannot use string offset as an array

Postby zanix » Wed Jul 23, 2008 7:50 am

Can you post your CharacerProfiler.lua file
Looks like something is up with it
Last edited by zanix on Wed Jul 23, 2008 7:50 am, edited 1 time in total.
Read the Forum Rules, the WiKi, and Search before posting!
WoWRoster v2.1 - SigGen v0.3.3.523 - WoWRosterDF
User avatar
zanix
Admin
Admin
WoWRoster.net Dev Team
WoWRoster.net Dev Team
UA/UU Developer
UA/UU Developer
 
Posts: 5543
Joined: Mon Jul 03, 2006 8:29 am
Location: Idaho Falls, Idaho
Realm: Doomhammer (PvE) - US

Re: Cannot use string offset as an array

Postby wcsugarchick » Thu Jul 24, 2008 4:06 am

Sure thing
Attachments
characterprofiler.lua
(844.11 KiB) Downloaded 62 times
wcsugarchick
WR.net Apprentice
WR.net Apprentice
 
Posts: 3
Joined: Tue Jul 22, 2008 4:04 am

Cannot use string offset as an array

Postby zanix » Thu Jul 24, 2008 8:14 am

I just uploaded to my server, with only one error
Code: Select all
lib/update.lib.php
  Notice line 553: Undefined index: Members

The only issue I can see is that Big n Hairy@US-Mug'thol does not have any members, it causes this notice error, but it doesn't affect the upload other than having no members for this guild



Can you please do the following for me?
Turn debug to "extended" in Roster CP and try again, then after the upload, see if there is a red box at the bottom that has the title "PHP Errors"

If there is a box, paste the errors here
Read the Forum Rules, the WiKi, and Search before posting!
WoWRoster v2.1 - SigGen v0.3.3.523 - WoWRosterDF
User avatar
zanix
Admin
Admin
WoWRoster.net Dev Team
WoWRoster.net Dev Team
UA/UU Developer
UA/UU Developer
 
Posts: 5543
Joined: Mon Jul 03, 2006 8:29 am
Location: Idaho Falls, Idaho
Realm: Doomhammer (PvE) - US

Re: Cannot use string offset as an array

Postby wcsugarchick » Thu Jul 24, 2008 11:19 pm

I uploaded the CP.lua today and it uploaded ok(after it timed out and I changed it, I think that had to due with setting on my newer version of php).

So it gave me no errors on the upload to post.

I am having an issue with the character page now, it looks like a few of the items aren't actually loading:

http://wowdeliverance.com/roster/index. ... fo&a=c:162

You can see the error boxes below the content. I did a quick search on here and saw some stuff about armorysync(which I didn't install as far as I know). I will search more a bit later and if I'm still having problems I'll post them.

Thanks
wcsugarchick
WR.net Apprentice
WR.net Apprentice
 
Posts: 3
Joined: Tue Jul 22, 2008 4:04 am

Cannot use string offset as an array

Postby zanix » Fri Jul 25, 2008 3:11 am

If you have extended debug on, then all the item parsing data is shown in the character panel

If you have it set to "on", then only errors in the parser will show
Read the Forum Rules, the WiKi, and Search before posting!
WoWRoster v2.1 - SigGen v0.3.3.523 - WoWRosterDF
User avatar
zanix
Admin
Admin
WoWRoster.net Dev Team
WoWRoster.net Dev Team
UA/UU Developer
UA/UU Developer
 
Posts: 5543
Joined: Mon Jul 03, 2006 8:29 am
Location: Idaho Falls, Idaho
Realm: Doomhammer (PvE) - US


Return to General Support & Feedback

Who is online

Users browsing this forum: No registered users and 0 guests

cron